import { getTrueSize } from '../utils'

export default {
  darkMode: true,
  grid: {
    top: getTrueSize(20),
    bottom: getTrueSize(40),
    containLabel: true,
  },
  xAxis: {
    type: 'value',
    axisLabel: {
      fontSize: '0.75rem',
    },
    show: false,

  },
  yAxis: {
    type: 'category',
    axisLine: {
      show: false,
    },
    axisTick: {
      show: false,
    },
    axisLabel: {
      fontSize: '0.75rem',
    },

    data: undefined,

  },
  series: [{
    type: 'bar',
    data: undefined,
    // barWidth: getTrueSize(16),
    itemStyle: {
      color: '#76ffe0',

    },
    label: {
      show: true,
      position: 'right',
    },
    showBackground: true,
    backgroundStyle: {
      color: '#ffffff20',
    },
  }],
}
