import { getTrueSize } from '../utils'

export default {
  // title: {
  //   text: '结对帮扶情况',
  //   textStyle: {
  //     color: '#fff',
  //   },
  // },
  tooltip: {
    trigger: 'item',
  },
  // legend: {
  //   top: '5%',
  //   right: '5%',
  //   textStyle: {
  //     color: '#ccc',
  //   },
  // },
  // grid: {
  //   bottom: '10%',
  // },
  color: ['#11a597', '#ff8366', '#5f54ef'],
  // dataset: {
  //   source: [
  //     ['date', '全景课堂', '资源包', '自由结对'],
  //     ['2021年12月', 15, 8, 11],
  //     ['2022年1月', 32, 18, 23],
  //     ['2022年2月', 45, 24, 33],
  //     ['2022年3月', 101, 67, 86],
  //     ['2022年4月', 122, 83, 64],
  //     ['2022年5月', 162, 95, 60],
  //     ['2022年6月', 201, 122, 147],
  //   ],
  // },
  xAxis: {
    type: 'category',
    // axisLabel: {
    //   interval: 0,
    //   rotate: -20,
    // },
    axisLabel: {
      fontSize: '0.75rem',
    },
    axisLine: {
      show: true,

      lineStyle: {
        type: 'dashed',
        color: '#ccc',
        width: getTrueSize(1),
      },
    },
    boundaryGap: false,
    data: [],
  },
  yAxis: {
    type: 'value',
    // interval: 10,
    axisLabel: {
      fontSize: '0.75rem',
    },
    axisLine: {
      show: true,
      lineStyle: {
        type: 'dashed',
        color: '#ccc',
        width: getTrueSize(1),
      },
    },
    splitLine: {
      show: true,
      lineStyle: {
        type: 'dashed',
        color: '#ccc',
      },
    },
  },
  series: [
    {
      type: 'line',
      smooth: true,
      symbolSize: getTrueSize(10),
      itemStyle: { borderWidth: getTrueSize(4) },
      lineStyle: { width: getTrueSize(4) },
      data: undefined,
    },
    // { type: 'line', name: '全景课堂', smooth: true, symbolSize: 12, itemStyle: { borderWidth: 2 }, lineStyle: { width: 6 }, data: [42, 46, 51, 53, 57, 61, 73, 0, 0, 71, 81] },
    // { type: 'line', name: '资源包  ', smooth: true, symbolSize: 12, itemStyle: { borderWidth: 2 }, lineStyle: { width: 6 }, data: [14, 26, 39, 43, 55, 57, 61, 89, 92, 69, 63] },
    // { type: 'line', name: '自由结对', smooth: true, symbolSize: 12, itemStyle: { borderWidth: 2 }, lineStyle: { width: 6 }, data: [19, 23, 28, 32, 37, 42, 44, 0, 0, 51, 66] },
  ],
  dataZoom: [{
    // show: true,
    // type: 'inside',
    throttle: '50',
    // start: 1,
    // end: 50,
    startValue: 0,
    endValue: 3,
    zoomLock: true,
    handleStyle: { opacity: 0 },
  }],

}
