const form_data = [
  {
    name: '基础信息',
    key: 'jcxx',
    detailClass: 'row-span-4',
    children: [
      {
        name: '姓名',
        key: 'ue_user_realname',
        required: true,
        hidden: true,
      },
      {
        name: '学生学号',
        key: 'ue_xh',
        required: true,
        hidden: true,
      },
      {
        name: '籍贯',
        key: 'ue_jgmc',
        required: true,
      },
      {
        name: '身份证号码',
        key: 'ue_user_cardno',
        required: true,
      },
      {
        name: '曾用名',
        key: 'ue_cym',
      },
      {
        name: '出生日期',
        key: 'ue_user_birthday',
        type: 'date',
        required: true,
      },
      {
        name: '民族',
        key: 'ue_mzmc',
        required: true,
      },
      {
        name: '性别',
        key: 'ue_user_gender',
        type: 'radio',
        required: true,
      },
      {
        name: '政治面貌',
        key: 'ue_zzmmmc',
        // type: 'select',
        //   required: true,
      },
      {
        name: '文化程度',
        key: 'ue_whcdmc',
        //  type: 'select',
        //    required: true,
      },
      {
        name: '所在支部',
        key: 'ue_szzbmc',
      },
      {
        name: '入党时间',
        key: 'ue_rdsj',
        type: 'date',
      },

      {
        name: '所在党小组',
        key: 'ue_szdxzmc',
      },
      {
        name: '语言能力',
        key: 'ue_yynlmc',
        required: true,
      },
      {
        name: '学校',
        key: 'sm_id',
        type: 'select',
        keyName: 'sm_name',
        selectKey: 'schoolData',
        field: 'sm_id',
        fieldName: 'sm_name',
        hidden: true,
        required: true,
      },
      {
        name: '年级',
        key: 'grade',
        keyName: 'gradename',
        type: 'select',
        selectKey: 'gradeData',
        field: 'grade',
        fieldName: 'gradename',
        hidden: true,
        required: true,
      },
      {
        name: '班级',
        key: 'cm_id',
        type: 'select',
        keyName: 'cm_name',
        selectKey: 'classData',
        field: 'cm_id',
        fieldName: 'cm_name',
        hidden: true,
        required: true,
      },
      {
        name: '家庭住址',
        key: 'ue_jtzz',
        required: true,
        hidden: true,
      },
      {
        name: '详细地址',
        key: 'ue_xxdz',
        required: true,
        hidden: true,
      },
      {
        name: '训练背景',
        key: 'ue_xlbj',
        type: 'textarea',
        class: 'col-span-full',
      },
      {
        name: '特长',
        key: 'ue_tc',
        type: 'textarea',
        class: 'col-span-full',
      },
    ],
  },
  {
    name: '家庭主要成员',
    key: 'jtzycy',
    children: [
      {
        name: '称谓',
        key: 'uf_cw',
        //  required: true,
      },
      {
        name: '姓名',
        key: 'uf_xm',
        //   required: true,
      },
      {
        name: '政治面貌',
        key: 'uf_zzmmmc',
        //    required: true,
      },
      {
        name: '工作单位',
        key: 'uf_gzdw',
      },
      {
        name: '职位',
        key: 'uf_zw',
      },
      {
        name: '手机号码',
        key: 'uf_sjhm',
        //      required: true,
      },
    ],
  },
  {
    name: '获奖荣誉',
    key: 'hjry',
    children: [
      {
        name: '是否获奖',
        key: 'sfhj',
        type: 'radio',
      },
      {
        name: '荣誉名称',
        key: '',
        type: 'rymc',
        class: 'col-span-full',
        hidden: true,
      },
    ],
  },
  {
    name: '联系方式',
    key: 'lxfs',
    children: [
      {
        name: '联系电话',
        key: 'ue_user_phone',
        type: 'tel',
      },
      {
        name: '电子邮箱',
        key: 'ue_user_email',
        type: 'email',
      },
    ],
  },
]

export default form_data
