// import type { RouteRecordRaw } from 'vue-router'
import type { RouteRecordRawWithMeta } from '../routes.d'

export default <RouteRecordRawWithMeta>{
  path: '/login',
  component: () => import('@/pages/login.vue'),
  name: 'login',
  meta: {
    hidden: true,
    sort: Infinity,
    title: '登录',
  },
}
