import type { RouteRecordRawWithMeta } from '../routes.d'

export default <RouteRecordRawWithMeta>{
  path: '/yhzx',
  name: 'yhzx',
  meta: {
    hidden: false,
    breadcrumb: true,
    sort: 1,
    title: '用户中心',
  },
  component: () => import('~/layout/app/index.vue'),
  children: [
    {
      path: 'grzx',
      name: 'yhzx_grzx',
      component: () => import('~/pages/yhzx/grzx/index.vue'),
      meta: {
        hidden: false,
        sort: 1,
        title: '个人中心',
      },
    },
    {
      path: 'jdxx',
      name: 'yhzx_jdxx',
      component: () => import('~/pages/yhzx/jdxx/index.vue'),
      meta: {
        hidden: false,
        breadcrumb: true,
        sort: 1,
        title: '局端信息',
      },
    },
    {
      path: 'jsxx',
      name: 'yhzx_jsxx',
      component: () => import('~/pages/yhzx/jsxx/index.vue'),
      meta: {
        hidden: false,
        breadcrumb: true,
        sort: 1,
        title: '教师信息',
      },
    },
    {
      path: 'xsxx',
      name: 'yhzx_xsxx',
      component: () => import('~/pages/yhzx/xsxx/index.vue'),
      meta: {
        hidden: false,
        breadcrumb: true,
        sort: 1,
        title: '学生信息',
      },
    },
  ],
}
