interface User_avatar {
  big: string;
  middle: string;
  small: string;
}

interface User_no {
  no_title: string;
  no: string;
}

interface Area_info {
  area_id1: string;
  area_id2: string;
  area_id3: string;
  area_id4: string;
  area_id1_char: string;
  area_id2_char: string;
  area_id3_char: string;
  area_id4_char: string;
  area_code1: string;
  area_code2: string;
  area_code3: string;
  area_code4: string;
  area_code_dist: string;
}

interface Power {
  vip_shiti: string;
  vip_sucai: string;
  vip_aicheck: string;
}

interface Sm_info {
  sm_id: string;
  sm_name: string;
  adminid: string;
  is_org: string;
  up_org: string;
  area_id1: string;
  area_id2: string;
  area_id3: string;
  area_id4: string;
  major_mode: string;
  powers: Power;
}

interface Bind3rd {
  wechat: string;
}

interface Up_org_info {
  sm_id: string;
  sm_name: string;
}

interface Org_info {
  org?: any;
  org_id?: any;
  telephone: string;
  telephone_short: string;
  is_org?: string;
  up_org?: any;
  up_org_name?: any;
  up_org_info: Up_org_info;
}

interface Pan {
  unit: string;
  size: string;
  used: string;
  desc: string;
}

interface Base_url {
  aboutus: string;
  file: string;
  vpn: string;
  uc: string;
  yzy: string;
  kzkt: string;
  openapi: string;
  site_zhkt_api: string;
  yxxt: string;
}

interface Kzkt {
  code: string;
  name: string;
  icon: string;
  cate: string;
  type: string;
  url: string;
}

interface Yzy {
  code: string;
  name: string;
  icon: string;
  cate: string;
  type: string;
  url: string;
}

interface Zhkt {
  code: string;
  name: string;
  icon: string;
  cate: string;
  type: string;
  url: string;
}

interface Role_system {
  kzkt: Kzkt;
  yzy: Yzy;
  zhkt: Zhkt;
}

interface App_url {
  a119: string;
  a120: string;
  a121: string;
  a122: string;
  a123: string;
  a124: string;
  a125: string;
  a126: string;
  a127: string;
  a128: string;
  a129: string;
  a130: string;
  a131: string;
  a132: string;
}

export interface User {
  user_id: string;
  user_name: string;
  email: string;
  lastlogintime: string;
  regdate: string;
  status: string;
  user_role_id: string;
  user_role_name: string;
  user_avatar: User_avatar;
  user_no: User_no;
  token: string;
  user_realname: string;
  user_phone: string;
  idcard: string;
  gender: string;
  gender_char: string;
  qq: string;
  nationality: string;
  address: string;
  education: string;
  area_info: Area_info;
  sm_info: Sm_info;
  cm_info: any[];
  first_cm_id: string;
  first_cm_name: string;
  related_desc: string;
  bind3rd: Bind3rd;
  my_org: any[];
  org_info: Org_info;
  pan: Pan;
  safe_tips: any[];
  update_center: string;
  base_url: Base_url;
  role_system: Role_system;
  user_score: string;
  product: string[];
  app_url: App_url;
  cpm_access_level: string;
}
