const jsform_data = [
  {
    name: '基础信息',
    key: 'jcxx',
    detailClass: 'row-span-3',
    children: [
      {
        name: '姓名',
        key: 'user_realname',
        required: true,
        hidden: true,
      },
      {
        name: '职工编号',
        key: 'ue_zgbh',
        required: true,
        hidden: true,
      },
      {
        name: '籍贯',
        key: 'ue_jgmc',
        required: true,
      },
      {
        name: '身份证号码',
        key: 'ue_user_cardno',
        required: true,
      },
      {
        name: '曾用名',
        key: 'ue_cym',
      },
      {
        name: '出生日期',
        key: 'ue_user_birthday',
        type: 'date',
        required: true,
      },
      {
        name: '民族',
        key: 'ue_mzmc',
        required: true,
      },
      {
        name: '性别',
        key: 'ue_user_gender',
        type: 'radio',
        required: true,
      },
      {
        name: '政治面貌',
        key: 'ue_zzmmmc',
        required: true,
      },
      {
        name: '文化程度',
        key: 'ue_whcdmc',
        required: true,
      },
      {
        name: '所在支部',
        key: 'ue_szzbmc',
      },
      {
        name: '入党时间',
        key: 'ue_rdsj',
        type: 'date',
      },
      {
        name: '编制类型',
        key: 'ue_bzlxmc',
        required: true,
      },
      {
        name: '所在党小组',
        key: 'ue_szdxzmc',
      },
      {
        name: '语言能力',
        key: 'ue_yynlmc',
        required: true,
      },
      {
        name: '教职工类别',
        showType: 'jsxx',
        key: 'ue_jzglbmc',
      },
      {
        name: '训练背景',
        key: 'ue_xlbj',
        type: 'textarea',
        class: 'col-span-full',
      },
      {
        name: '特长',
        key: 'ue_tc',
        type: 'textarea',
        class: 'col-span-full',
      },
    ],
  },
  {
    name: '任职信息',
    key: 'rzxx',
    showType: 'jsxx',
    children: [
      {
        name: '学校',
        key: 'sm_id',
        type: 'select',
        selectKey: 'schoolData',
        field: 'sm_id',
        fieldName: 'sm_name',
      },
      {
        name: '年级',
        key: 'grade',
        type: 'select',
        selectKey: 'gradeData',
        field: 'grade',
        fieldName: 'gradename',
      },
      {
        name: '班级',
        key: 'cm_id',
        type: 'select',
        selectKey: 'classData',
        field: 'cm_id',
        fieldName: 'cm_name',
      },
      {
        name: '学科',
        key: 'subjectid',
        type: 'select',
        selectKey: 'subjectData',
        field: 'subject_id',
        fieldName: 'subject_name',
      },
    ],
  },
  {
    name: '任职信息',
    key: 'rzxx',
    showType: 'jdxx',
    children: [
      {
        name: '选择区域',
        key: 'uom_area_id4',
        keyName: 'uom_area_id4_name',
        type: 'select',
        selectKey: 'areaData',
        field: 'id',
        fieldName: 'name',
      },
      {
        name: '事业单位',
        key: 'uo_id_0',
        keyName: 'uo_name_0',
        type: 'select',
        selectKey: 'sydwData',
        field: 'uo_id',
        fieldName: 'uo_name',
      },
      {
        name: '部门',
        key: 'uo_id_1',
        keyName: 'uo_name_1',
        type: 'select',
        selectKey: 'deptData',
        field: 'uo_id',
        fieldName: 'uo_name',
      },
      {
        name: '职位',
        key: 'uom_zw',
      },
    ],
  },
  {
    name: '工作经历',
    key: 'gzjl',
    children: [
      {
        name: '参加工作年月',
        key: 'uw_cjgzny',
        type: 'date',
        // required: true,
      },
      {
        name: '从教年月',
        key: 'uw_cjny',
        type: 'date',
        // required: true,
      },
      {
        name: '来校年月',
        key: 'uw_lxny',
        type: 'date',
        // required: true,
      },
      {
        name: '农村工作年限',
        key: 'uw_ncgznx',
        type: 'date',
        // required: true,
      },
      {
        name: '所属部门/教研组',
        key: 'uw_ssbmyhjzmc',
        // required: true,
      },
      {
        name: '事业单位',
        key: 'uw_sydwmc',
        // required: true,
      },
    ],
  },
  {
    name: '获奖荣誉',
    key: 'hjry',
    children: [
      {
        name: '是否获奖',
        key: 'sfhj',
        type: 'radio',
      },
      {
        name: '荣誉名称',
        key: 'rymc',
        type: 'rymc',
        class: 'col-span-full',
        hidden: true,
      },
    ],
  },
  {
    name: '管理单位',
    key: 'gldw',
  },
  {
    name: '联系方式',
    key: 'lxfs',
    children: [
      {
        name: '联系电话',
        key: 'ue_user_phone',
      },
      {
        name: '电子邮箱',
        key: 'ue_user_email',
      },
    ],
  },
]

export default jsform_data
