// import type { RouteRecordRaw } from 'vue-router'
import type { RouteRecordRawWithMeta } from '../routes.d'
import { getUserRole } from '~/store/index'
const UserRole = getUserRole()
console.log('UserRole :>> ', UserRole)
export default <RouteRecordRawWithMeta>{
  path: '/noSet',
  component: () => import('~/pages/noSet.vue'),
  name: 'noSet',
  meta: {
    hidden: true,
    sort: Infinity,
    title: '未配置权限',
  },
}
