// import type { RouteRecordRaw } from 'vue-router'
import type { RouteRecordRawWithMeta } from '../routes.d'

export default <RouteRecordRawWithMeta>{
  path: '/home',
  component: () => import('~/layout/app/index.vue'),
  name: 'HOME',
  meta: {
    hidden: true,
    sort: 0,
    title: '首页',
  },
  redirect: { name: 'HOME_INDEX' },
  children: [
    {
      path: '',
      component: () => import('@/pages/home.vue'),
      name: 'HOME_INDEX',
      meta: {
        hidden: false,
        sort: 0,
        title: '首页',
        breadcrumb: true,
      },
    },
    {
      path: 'gxzysj',
      component: () => import('@/pages/home/gxzysj.vue'),
      name: 'HOME_GXZYSJ',
      meta: {
        hidden: true,
        sort: 1,
        title: '高校资源数据',
        breadcrumb: true,
      },
    },
  ],
}
