// generate by plop-starter
import type { RouteRecordRawWithMeta } from '../routes.d'

export default <RouteRecordRawWithMeta>{
  path: '/ptsz',
  name: 'PTSZ',
  props: false,
  meta: {
    hidden: false,
    breadcrumb: true,
    sort: 0,
    title: '平台设置',
  },
  component: () => import('~/layout/app/index.vue'),
  children: [
    {
      path: 'xxsz',
      name: 'PTSZ_XXSZ',
      props: false,
      meta: {
        hidden: false,
        breadcrumb: false,
        sort: 0,
        title: '学校设置',
      },
      component: () => import('~/pages/ptsz/xxsz/index.vue'),
      // children: [
      //   {
      //     path: 'jd',
      //     name: 'PTSZ_XXSZ_JD',
      //     props: false,
      //     meta: {
      //       hidden: true,
      //       breadcrumb: false,
      //       sort: 0,
      //       title: '局端',
      //     },
      //     children: [
      //       {
      //         path: '',
      //         name: 'PTSZ_XXSZ_JD_INDEX',
      //         props: false,
      //         meta: {
      //           hidden: false,
      //           breadcrumb: true,
      //           sort: 0,
      //           title: '学校设置',
      //         },
      //         redirect: null,
      //         component: () => import('~/pages/ptsz/xxsz/jd.vue'),
      //       },
      //       {
      //         path: 'detail/:id',
      //         name: 'PTSZ_XXSZ_JD_DETAIL',
      //         props: true,
      //         meta: {
      //           hidden: true,
      //           breadcrumb: true,
      //           sort: 1,
      //           title: '学校详情',
      //         },
      //         redirect: null,
      //       },
      //     ],
      //     redirect: {
      //       name: 'PTSZ_XXSZ_JD_INDEX',
      //     },
      //   },
      //   {
      //     path: 'xd',
      //     name: 'PTSZ_XXSZ_XD',
      //     props: false,
      //     meta: {
      //       hidden: true,
      //       breadcrumb: false,
      //       sort: 1,
      //       title: '校端',
      //     },
      //     children: [
      //       {
      //         path: '',
      //         name: 'PTSZ_XXSZ_XD_INDEX',
      //         props: false,
      //         meta: {
      //           hidden: false,
      //           breadcrumb: true,
      //           sort: 0,
      //           title: '学校设置',
      //         },
      //         redirect: null,
      //         component: () => import('~/pages/ptsz/xxsz/xd.vue'),
      //       },
      //       {
      //         path: 'detail/:id',
      //         name: 'PTSZ_XXSZ_XD_DETAIL',
      //         props: true,
      //         meta: {
      //           hidden: true,
      //           breadcrumb: true,
      //           sort: 1,
      //           title: '学校详情',
      //         },
      //         redirect: null,
      //       },
      //     ],
      //     redirect: {
      //       name: 'PTSZ_XXSZ_XD_INDEX',
      //     },
      //   },
      // ],
      // redirect: {
      //   name: 'PTSZ_XXSZ_JD',
      // },
    },
    // {
    //   path: 'jcxxsz',
    //   name: 'PTSZ_JCXXSZ',
    //   props: false,
    //   meta: {
    //     hidden: false,
    //     breadcrumb: true,
    //     sort: 1,
    //     title: '基础信息设置',
    //   },
    //   component: () => import('~/pages/ptsz/jcxxsz/index.vue'),
    // },
    {
      path: 'dblsz',
      name: 'PTSZ_DBLSZ',
      props: false,
      meta: {
        hidden: false,
        breadcrumb: true,
        sort: 1,
        title: '底部栏设置',
      },
      component: () => import('~/pages/ptsz/dblsz/index.vue'),
    },
    {
      path: 'kcgl',
      name: 'PTSZ_KCGL',
      props: false,
      meta: {
        hidden: false,
        breadcrumb: true,
        sort: 2,
        title: '课程管理',
        externalLink:"https://jltweb.bozedu.net/#/seriescourses/famousteachonline?from=my&fromname=课程管理"
      },
      // component: () => import('~/pages/ptsz/dblsz/index.vue'),
    },
  ],
  redirect: {
    name: 'PTSZ_XXSZ',
  },
}
