import type { RouteRecordRawWithMeta } from '../routes.d'

export default <RouteRecordRawWithMeta>{
  path: '/qxsz',
  name: 'qxsz',
  meta: {
    hidden: false,
    breadcrumb: true,
    sort: 2,
    title: '权限设置',
  },
  component: () => import('~/layout/app/index.vue'),
  children: [
    {
      path: 'qxgl',
      name: 'qxsz_qxgl',
      component: () => import('~/pages/qxsz/qxgl/index.vue'),
      meta: {
        hidden: false,
        breadcrumb: true,
        sort: 1,
        title: '权限管理',
      },
    },
    {
      path: 'yhgl',
      name: 'qxsz_yhgl',
      component: () => import('~/pages/qxsz/yhgl/index.vue'),
      meta: {
        hidden: false,
        breadcrumb: true,
        sort: 1,
        title: '用户管理',
      },
    },

  ],
}
